Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network236.69.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
236.69.0.0
Broadcast address
236.69.255.255
First usable
236.69.0.1
Last usable
236.69.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EC450000 · Integer 3963944960 to 3964010495
Reverse DNS zone
69.236.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101100.01000101..00000000.00000000236.69.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11101100.01000101..00000000.00000000236.69.0.0
Broadcast11101100.01000101..11111111.11111111236.69.255.255
Split into smaller subnets/27

236.69.0.0/16 makes 2,048 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1236.69.0.0/27236.69.0.1 to 236.69.0.30236.69.0.3130
2236.69.0.32/27236.69.0.33 to 236.69.0.62236.69.0.6330
3236.69.0.64/27236.69.0.65 to 236.69.0.94236.69.0.9530
4236.69.0.96/27236.69.0.97 to 236.69.0.126236.69.0.12730
5236.69.0.128/27236.69.0.129 to 236.69.0.158236.69.0.15930
6236.69.0.160/27236.69.0.161 to 236.69.0.190236.69.0.19130
7236.69.0.192/27236.69.0.193 to 236.69.0.222236.69.0.22330
8236.69.0.224/27236.69.0.225 to 236.69.0.254236.69.0.25530
9236.69.1.0/27236.69.1.1 to 236.69.1.30236.69.1.3130
10236.69.1.32/27236.69.1.33 to 236.69.1.62236.69.1.6330
11236.69.1.64/27236.69.1.65 to 236.69.1.94236.69.1.9530
12236.69.1.96/27236.69.1.97 to 236.69.1.126236.69.1.12730
13236.69.1.128/27236.69.1.129 to 236.69.1.158236.69.1.15930
14236.69.1.160/27236.69.1.161 to 236.69.1.190236.69.1.19130
15236.69.1.192/27236.69.1.193 to 236.69.1.222236.69.1.22330
16236.69.1.224/27236.69.1.225 to 236.69.1.254236.69.1.25530
17236.69.2.0/27236.69.2.1 to 236.69.2.30236.69.2.3130
18236.69.2.32/27236.69.2.33 to 236.69.2.62236.69.2.6330
19236.69.2.64/27236.69.2.65 to 236.69.2.94236.69.2.9530
20236.69.2.96/27236.69.2.97 to 236.69.2.126236.69.2.12730
21236.69.2.128/27236.69.2.129 to 236.69.2.158236.69.2.15930
22236.69.2.160/27236.69.2.161 to 236.69.2.190236.69.2.19130
23236.69.2.192/27236.69.2.193 to 236.69.2.222236.69.2.22330
24236.69.2.224/27236.69.2.225 to 236.69.2.254236.69.2.25530
25236.69.3.0/27236.69.3.1 to 236.69.3.30236.69.3.3130
26236.69.3.32/27236.69.3.33 to 236.69.3.62236.69.3.6330
27236.69.3.64/27236.69.3.65 to 236.69.3.94236.69.3.9530
28236.69.3.96/27236.69.3.97 to 236.69.3.126236.69.3.12730
29236.69.3.128/27236.69.3.129 to 236.69.3.158236.69.3.15930
30236.69.3.160/27236.69.3.161 to 236.69.3.190236.69.3.19130
31236.69.3.192/27236.69.3.193 to 236.69.3.222236.69.3.22330
32236.69.3.224/27236.69.3.225 to 236.69.3.254236.69.3.25530
33236.69.4.0/27236.69.4.1 to 236.69.4.30236.69.4.3130
34236.69.4.32/27236.69.4.33 to 236.69.4.62236.69.4.6330
35236.69.4.64/27236.69.4.65 to 236.69.4.94236.69.4.9530
36236.69.4.96/27236.69.4.97 to 236.69.4.126236.69.4.12730
37236.69.4.128/27236.69.4.129 to 236.69.4.158236.69.4.15930
38236.69.4.160/27236.69.4.161 to 236.69.4.190236.69.4.19130
39236.69.4.192/27236.69.4.193 to 236.69.4.222236.69.4.22330
40236.69.4.224/27236.69.4.225 to 236.69.4.254236.69.4.25530
41236.69.5.0/27236.69.5.1 to 236.69.5.30236.69.5.3130
42236.69.5.32/27236.69.5.33 to 236.69.5.62236.69.5.6330
43236.69.5.64/27236.69.5.65 to 236.69.5.94236.69.5.9530
44236.69.5.96/27236.69.5.97 to 236.69.5.126236.69.5.12730
45236.69.5.128/27236.69.5.129 to 236.69.5.158236.69.5.15930
46236.69.5.160/27236.69.5.161 to 236.69.5.190236.69.5.19130
47236.69.5.192/27236.69.5.193 to 236.69.5.222236.69.5.22330
48236.69.5.224/27236.69.5.225 to 236.69.5.254236.69.5.25530
49236.69.6.0/27236.69.6.1 to 236.69.6.30236.69.6.3130
50236.69.6.32/27236.69.6.33 to 236.69.6.62236.69.6.6330
51236.69.6.64/27236.69.6.65 to 236.69.6.94236.69.6.9530
52236.69.6.96/27236.69.6.97 to 236.69.6.126236.69.6.12730
53236.69.6.128/27236.69.6.129 to 236.69.6.158236.69.6.15930
54236.69.6.160/27236.69.6.161 to 236.69.6.190236.69.6.19130
55236.69.6.192/27236.69.6.193 to 236.69.6.222236.69.6.22330
56236.69.6.224/27236.69.6.225 to 236.69.6.254236.69.6.25530
57236.69.7.0/27236.69.7.1 to 236.69.7.30236.69.7.3130
58236.69.7.32/27236.69.7.33 to 236.69.7.62236.69.7.6330
59236.69.7.64/27236.69.7.65 to 236.69.7.94236.69.7.9530
60236.69.7.96/27236.69.7.97 to 236.69.7.126236.69.7.12730
61236.69.7.128/27236.69.7.129 to 236.69.7.158236.69.7.15930
62236.69.7.160/27236.69.7.161 to 236.69.7.190236.69.7.19130
63236.69.7.192/27236.69.7.193 to 236.69.7.222236.69.7.22330
64236.69.7.224/27236.69.7.225 to 236.69.7.254236.69.7.25530
65236.69.8.0/27236.69.8.1 to 236.69.8.30236.69.8.3130
66236.69.8.32/27236.69.8.33 to 236.69.8.62236.69.8.6330
67236.69.8.64/27236.69.8.65 to 236.69.8.94236.69.8.9530
68236.69.8.96/27236.69.8.97 to 236.69.8.126236.69.8.12730
69236.69.8.128/27236.69.8.129 to 236.69.8.158236.69.8.15930
70236.69.8.160/27236.69.8.161 to 236.69.8.190236.69.8.19130
71236.69.8.192/27236.69.8.193 to 236.69.8.222236.69.8.22330
72236.69.8.224/27236.69.8.225 to 236.69.8.254236.69.8.25530
73236.69.9.0/27236.69.9.1 to 236.69.9.30236.69.9.3130
74236.69.9.32/27236.69.9.33 to 236.69.9.62236.69.9.6330
75236.69.9.64/27236.69.9.65 to 236.69.9.94236.69.9.9530
76236.69.9.96/27236.69.9.97 to 236.69.9.126236.69.9.12730
77236.69.9.128/27236.69.9.129 to 236.69.9.158236.69.9.15930
78236.69.9.160/27236.69.9.161 to 236.69.9.190236.69.9.19130
79236.69.9.192/27236.69.9.193 to 236.69.9.222236.69.9.22330
80236.69.9.224/27236.69.9.225 to 236.69.9.254236.69.9.25530
81236.69.10.0/27236.69.10.1 to 236.69.10.30236.69.10.3130
82236.69.10.32/27236.69.10.33 to 236.69.10.62236.69.10.6330
83236.69.10.64/27236.69.10.65 to 236.69.10.94236.69.10.9530
84236.69.10.96/27236.69.10.97 to 236.69.10.126236.69.10.12730
85236.69.10.128/27236.69.10.129 to 236.69.10.158236.69.10.15930
86236.69.10.160/27236.69.10.161 to 236.69.10.190236.69.10.19130
87236.69.10.192/27236.69.10.193 to 236.69.10.222236.69.10.22330
88236.69.10.224/27236.69.10.225 to 236.69.10.254236.69.10.25530
89236.69.11.0/27236.69.11.1 to 236.69.11.30236.69.11.3130
90236.69.11.32/27236.69.11.33 to 236.69.11.62236.69.11.6330
91236.69.11.64/27236.69.11.65 to 236.69.11.94236.69.11.9530
92236.69.11.96/27236.69.11.97 to 236.69.11.126236.69.11.12730
93236.69.11.128/27236.69.11.129 to 236.69.11.158236.69.11.15930
94236.69.11.160/27236.69.11.161 to 236.69.11.190236.69.11.19130
95236.69.11.192/27236.69.11.193 to 236.69.11.222236.69.11.22330
96236.69.11.224/27236.69.11.225 to 236.69.11.254236.69.11.25530
97236.69.12.0/27236.69.12.1 to 236.69.12.30236.69.12.3130
98236.69.12.32/27236.69.12.33 to 236.69.12.62236.69.12.6330
99236.69.12.64/27236.69.12.65 to 236.69.12.94236.69.12.9530
100236.69.12.96/27236.69.12.97 to 236.69.12.126236.69.12.12730
101236.69.12.128/27236.69.12.129 to 236.69.12.158236.69.12.15930
102236.69.12.160/27236.69.12.161 to 236.69.12.190236.69.12.19130
103236.69.12.192/27236.69.12.193 to 236.69.12.222236.69.12.22330
104236.69.12.224/27236.69.12.225 to 236.69.12.254236.69.12.25530
105236.69.13.0/27236.69.13.1 to 236.69.13.30236.69.13.3130
106236.69.13.32/27236.69.13.33 to 236.69.13.62236.69.13.6330
107236.69.13.64/27236.69.13.65 to 236.69.13.94236.69.13.9530
108236.69.13.96/27236.69.13.97 to 236.69.13.126236.69.13.12730
109236.69.13.128/27236.69.13.129 to 236.69.13.158236.69.13.15930
110236.69.13.160/27236.69.13.161 to 236.69.13.190236.69.13.19130
111236.69.13.192/27236.69.13.193 to 236.69.13.222236.69.13.22330
112236.69.13.224/27236.69.13.225 to 236.69.13.254236.69.13.25530
113236.69.14.0/27236.69.14.1 to 236.69.14.30236.69.14.3130
114236.69.14.32/27236.69.14.33 to 236.69.14.62236.69.14.6330
115236.69.14.64/27236.69.14.65 to 236.69.14.94236.69.14.9530
116236.69.14.96/27236.69.14.97 to 236.69.14.126236.69.14.12730
117236.69.14.128/27236.69.14.129 to 236.69.14.158236.69.14.15930
118236.69.14.160/27236.69.14.161 to 236.69.14.190236.69.14.19130
119236.69.14.192/27236.69.14.193 to 236.69.14.222236.69.14.22330
120236.69.14.224/27236.69.14.225 to 236.69.14.254236.69.14.25530
121236.69.15.0/27236.69.15.1 to 236.69.15.30236.69.15.3130
122236.69.15.32/27236.69.15.33 to 236.69.15.62236.69.15.6330
123236.69.15.64/27236.69.15.65 to 236.69.15.94236.69.15.9530
124236.69.15.96/27236.69.15.97 to 236.69.15.126236.69.15.12730
125236.69.15.128/27236.69.15.129 to 236.69.15.158236.69.15.15930
126236.69.15.160/27236.69.15.161 to 236.69.15.190236.69.15.19130
127236.69.15.192/27236.69.15.193 to 236.69.15.222236.69.15.22330
128236.69.15.224/27236.69.15.225 to 236.69.15.254236.69.15.25530
129236.69.16.0/27236.69.16.1 to 236.69.16.30236.69.16.3130
130236.69.16.32/27236.69.16.33 to 236.69.16.62236.69.16.6330
131236.69.16.64/27236.69.16.65 to 236.69.16.94236.69.16.9530
132236.69.16.96/27236.69.16.97 to 236.69.16.126236.69.16.12730
133236.69.16.128/27236.69.16.129 to 236.69.16.158236.69.16.15930
134236.69.16.160/27236.69.16.161 to 236.69.16.190236.69.16.19130
135236.69.16.192/27236.69.16.193 to 236.69.16.222236.69.16.22330
136236.69.16.224/27236.69.16.225 to 236.69.16.254236.69.16.25530
137236.69.17.0/27236.69.17.1 to 236.69.17.30236.69.17.3130
138236.69.17.32/27236.69.17.33 to 236.69.17.62236.69.17.6330
139236.69.17.64/27236.69.17.65 to 236.69.17.94236.69.17.9530
140236.69.17.96/27236.69.17.97 to 236.69.17.126236.69.17.12730
141236.69.17.128/27236.69.17.129 to 236.69.17.158236.69.17.15930
142236.69.17.160/27236.69.17.161 to 236.69.17.190236.69.17.19130
143236.69.17.192/27236.69.17.193 to 236.69.17.222236.69.17.22330
144236.69.17.224/27236.69.17.225 to 236.69.17.254236.69.17.25530
145236.69.18.0/27236.69.18.1 to 236.69.18.30236.69.18.3130
146236.69.18.32/27236.69.18.33 to 236.69.18.62236.69.18.6330
147236.69.18.64/27236.69.18.65 to 236.69.18.94236.69.18.9530
148236.69.18.96/27236.69.18.97 to 236.69.18.126236.69.18.12730
149236.69.18.128/27236.69.18.129 to 236.69.18.158236.69.18.15930
150236.69.18.160/27236.69.18.161 to 236.69.18.190236.69.18.19130
151236.69.18.192/27236.69.18.193 to 236.69.18.222236.69.18.22330
152236.69.18.224/27236.69.18.225 to 236.69.18.254236.69.18.25530
153236.69.19.0/27236.69.19.1 to 236.69.19.30236.69.19.3130
154236.69.19.32/27236.69.19.33 to 236.69.19.62236.69.19.6330
155236.69.19.64/27236.69.19.65 to 236.69.19.94236.69.19.9530
156236.69.19.96/27236.69.19.97 to 236.69.19.126236.69.19.12730
157236.69.19.128/27236.69.19.129 to 236.69.19.158236.69.19.15930
158236.69.19.160/27236.69.19.161 to 236.69.19.190236.69.19.19130
159236.69.19.192/27236.69.19.193 to 236.69.19.222236.69.19.22330
160236.69.19.224/27236.69.19.225 to 236.69.19.254236.69.19.25530
161236.69.20.0/27236.69.20.1 to 236.69.20.30236.69.20.3130
162236.69.20.32/27236.69.20.33 to 236.69.20.62236.69.20.6330
163236.69.20.64/27236.69.20.65 to 236.69.20.94236.69.20.9530
164236.69.20.96/27236.69.20.97 to 236.69.20.126236.69.20.12730
165236.69.20.128/27236.69.20.129 to 236.69.20.158236.69.20.15930
166236.69.20.160/27236.69.20.161 to 236.69.20.190236.69.20.19130
167236.69.20.192/27236.69.20.193 to 236.69.20.222236.69.20.22330
168236.69.20.224/27236.69.20.225 to 236.69.20.254236.69.20.25530
169236.69.21.0/27236.69.21.1 to 236.69.21.30236.69.21.3130
170236.69.21.32/27236.69.21.33 to 236.69.21.62236.69.21.6330
171236.69.21.64/27236.69.21.65 to 236.69.21.94236.69.21.9530
172236.69.21.96/27236.69.21.97 to 236.69.21.126236.69.21.12730
173236.69.21.128/27236.69.21.129 to 236.69.21.158236.69.21.15930
174236.69.21.160/27236.69.21.161 to 236.69.21.190236.69.21.19130
175236.69.21.192/27236.69.21.193 to 236.69.21.222236.69.21.22330
176236.69.21.224/27236.69.21.225 to 236.69.21.254236.69.21.25530
177236.69.22.0/27236.69.22.1 to 236.69.22.30236.69.22.3130
178236.69.22.32/27236.69.22.33 to 236.69.22.62236.69.22.6330
179236.69.22.64/27236.69.22.65 to 236.69.22.94236.69.22.9530
180236.69.22.96/27236.69.22.97 to 236.69.22.126236.69.22.12730
181236.69.22.128/27236.69.22.129 to 236.69.22.158236.69.22.15930
182236.69.22.160/27236.69.22.161 to 236.69.22.190236.69.22.19130
183236.69.22.192/27236.69.22.193 to 236.69.22.222236.69.22.22330
184236.69.22.224/27236.69.22.225 to 236.69.22.254236.69.22.25530
185236.69.23.0/27236.69.23.1 to 236.69.23.30236.69.23.3130
186236.69.23.32/27236.69.23.33 to 236.69.23.62236.69.23.6330
187236.69.23.64/27236.69.23.65 to 236.69.23.94236.69.23.9530
188236.69.23.96/27236.69.23.97 to 236.69.23.126236.69.23.12730
189236.69.23.128/27236.69.23.129 to 236.69.23.158236.69.23.15930
190236.69.23.160/27236.69.23.161 to 236.69.23.190236.69.23.19130
191236.69.23.192/27236.69.23.193 to 236.69.23.222236.69.23.22330
192236.69.23.224/27236.69.23.225 to 236.69.23.254236.69.23.25530
193236.69.24.0/27236.69.24.1 to 236.69.24.30236.69.24.3130
194236.69.24.32/27236.69.24.33 to 236.69.24.62236.69.24.6330
195236.69.24.64/27236.69.24.65 to 236.69.24.94236.69.24.9530
196236.69.24.96/27236.69.24.97 to 236.69.24.126236.69.24.12730
197236.69.24.128/27236.69.24.129 to 236.69.24.158236.69.24.15930
198236.69.24.160/27236.69.24.161 to 236.69.24.190236.69.24.19130
199236.69.24.192/27236.69.24.193 to 236.69.24.222236.69.24.22330
200236.69.24.224/27236.69.24.225 to 236.69.24.254236.69.24.25530
201236.69.25.0/27236.69.25.1 to 236.69.25.30236.69.25.3130
202236.69.25.32/27236.69.25.33 to 236.69.25.62236.69.25.6330
203236.69.25.64/27236.69.25.65 to 236.69.25.94236.69.25.9530
204236.69.25.96/27236.69.25.97 to 236.69.25.126236.69.25.12730
205236.69.25.128/27236.69.25.129 to 236.69.25.158236.69.25.15930
206236.69.25.160/27236.69.25.161 to 236.69.25.190236.69.25.19130
207236.69.25.192/27236.69.25.193 to 236.69.25.222236.69.25.22330
208236.69.25.224/27236.69.25.225 to 236.69.25.254236.69.25.25530
209236.69.26.0/27236.69.26.1 to 236.69.26.30236.69.26.3130
210236.69.26.32/27236.69.26.33 to 236.69.26.62236.69.26.6330
211236.69.26.64/27236.69.26.65 to 236.69.26.94236.69.26.9530
212236.69.26.96/27236.69.26.97 to 236.69.26.126236.69.26.12730
213236.69.26.128/27236.69.26.129 to 236.69.26.158236.69.26.15930
214236.69.26.160/27236.69.26.161 to 236.69.26.190236.69.26.19130
215236.69.26.192/27236.69.26.193 to 236.69.26.222236.69.26.22330
216236.69.26.224/27236.69.26.225 to 236.69.26.254236.69.26.25530
217236.69.27.0/27236.69.27.1 to 236.69.27.30236.69.27.3130
218236.69.27.32/27236.69.27.33 to 236.69.27.62236.69.27.6330
219236.69.27.64/27236.69.27.65 to 236.69.27.94236.69.27.9530
220236.69.27.96/27236.69.27.97 to 236.69.27.126236.69.27.12730
221236.69.27.128/27236.69.27.129 to 236.69.27.158236.69.27.15930
222236.69.27.160/27236.69.27.161 to 236.69.27.190236.69.27.19130
223236.69.27.192/27236.69.27.193 to 236.69.27.222236.69.27.22330
224236.69.27.224/27236.69.27.225 to 236.69.27.254236.69.27.25530
225236.69.28.0/27236.69.28.1 to 236.69.28.30236.69.28.3130
226236.69.28.32/27236.69.28.33 to 236.69.28.62236.69.28.6330
227236.69.28.64/27236.69.28.65 to 236.69.28.94236.69.28.9530
228236.69.28.96/27236.69.28.97 to 236.69.28.126236.69.28.12730
229236.69.28.128/27236.69.28.129 to 236.69.28.158236.69.28.15930
230236.69.28.160/27236.69.28.161 to 236.69.28.190236.69.28.19130
231236.69.28.192/27236.69.28.193 to 236.69.28.222236.69.28.22330
232236.69.28.224/27236.69.28.225 to 236.69.28.254236.69.28.25530
233236.69.29.0/27236.69.29.1 to 236.69.29.30236.69.29.3130
234236.69.29.32/27236.69.29.33 to 236.69.29.62236.69.29.6330
235236.69.29.64/27236.69.29.65 to 236.69.29.94236.69.29.9530
236236.69.29.96/27236.69.29.97 to 236.69.29.126236.69.29.12730
237236.69.29.128/27236.69.29.129 to 236.69.29.158236.69.29.15930
238236.69.29.160/27236.69.29.161 to 236.69.29.190236.69.29.19130
239236.69.29.192/27236.69.29.193 to 236.69.29.222236.69.29.22330
240236.69.29.224/27236.69.29.225 to 236.69.29.254236.69.29.25530
241236.69.30.0/27236.69.30.1 to 236.69.30.30236.69.30.3130
242236.69.30.32/27236.69.30.33 to 236.69.30.62236.69.30.6330
243236.69.30.64/27236.69.30.65 to 236.69.30.94236.69.30.9530
244236.69.30.96/27236.69.30.97 to 236.69.30.126236.69.30.12730
245236.69.30.128/27236.69.30.129 to 236.69.30.158236.69.30.15930
246236.69.30.160/27236.69.30.161 to 236.69.30.190236.69.30.19130
247236.69.30.192/27236.69.30.193 to 236.69.30.222236.69.30.22330
248236.69.30.224/27236.69.30.225 to 236.69.30.254236.69.30.25530
249236.69.31.0/27236.69.31.1 to 236.69.31.30236.69.31.3130
250236.69.31.32/27236.69.31.33 to 236.69.31.62236.69.31.6330
251236.69.31.64/27236.69.31.65 to 236.69.31.94236.69.31.9530
252236.69.31.96/27236.69.31.97 to 236.69.31.126236.69.31.12730
253236.69.31.128/27236.69.31.129 to 236.69.31.158236.69.31.15930
254236.69.31.160/27236.69.31.161 to 236.69.31.190236.69.31.19130
255236.69.31.192/27236.69.31.193 to 236.69.31.222236.69.31.22330
256236.69.31.224/27236.69.31.225 to 236.69.31.254236.69.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses